unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls,
  TAGraph, TASeries;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Chart1: TChart;
    Chart1LineSeries1: TLineSeries;
    Panel1: TPanel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

// Beim Start des Programms wird die LineSeries mit Dummy-Daten befüllt.
procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  for i := 0 to 20 do
    Chart1LineSeries1.AddXY(i, Random);
end;

// Ein Klick auf Button1 löscht alle in Chart1LineSeries1 vorhandenen Daten.
// Die LineSeries selbst bleibt bestehen.
procedure TForm1.Button1Click(Sender: TObject);
begin
  Chart1LineSeries1.Clear;
end;

// Die Lineseries wieder mit zufälligen Daten befüllen. Die neuen Daten werden
// hinten an die bereits vorhandenen Daten angehängt.
procedure TForm1.Button2Click(Sender: TObject);
var
  i, n: Integer;
begin
  n := Chart1LineSeries1.Count;
  for i := 0 to 10 do
    Chart1LineSeries1.AddXY(i+n, Random);
end;

end.

